Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.query
Class NodeInstanceLogDeleteBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>
              org.jbpm.process.audit.query.NodeInstanceLogDeleteBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder

    public class NodeInstanceLogDeleteBuilderImpl

extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>
implements org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder

Field Summary

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`NodeInstanceLogDeleteBuilderImpl(CommandExecutor cmdExecutor)`
`NodeInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaService)`

Method Summary
`org.kie.internal.query.ParametrizedUpdate` | `build()`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `date(Date... date)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `dateRangeStart(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `externalId(String... externalId)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeId(String... nodeId)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceId(String... nodeInstanceId)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeName(String... name)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `processId(String... processId)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `processInstanceId(long... processInstanceId)`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `workItemId(long... workItemId)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`checkIfNotNull, ensureDateNotTimestamp, getJpaAuditLogService`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Constructor Detail

### NodeInstanceLogDeleteBuilderImpl

    public NodeInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaService)

### NodeInstanceLogDeleteBuilderImpl

    public NodeInstanceLogDeleteBuilderImpl(CommandExecutor cmdExecutor)

Method Detail

### processInstanceId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder processInstanceId(long... processInstanceId)

  Specified by:
    `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`
  Specified by:
    `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`
  Overrides:
    `processInstanceId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

### processId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder processId(String... processId)

  Specified by:
    `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`
  Specified by:
    `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`
  Overrides:
    `processId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

### date

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder date(Date... date)

  Specified by:
    `date` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`
  Overrides:
    `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

### dateRangeStart

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder dateRangeStart(Date rangeStart)

  Specified by:
    `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`
  Overrides:
    `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

### dateRangeEnd

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder dateRangeEnd(Date rangeStart)

  Specified by:
    `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`
  Overrides:
    `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

### workItemId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder workItemId(long... workItemId)

  Specified by:
    `workItemId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

### nodeInstanceId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceId(String... nodeInstanceId)

  Specified by:
    `nodeInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

### nodeId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeId(String... nodeId)

  Specified by:
    `nodeId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

### nodeName

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeName(String... name)

  Specified by:
    `nodeName` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

### externalId

    public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder externalId(String... externalId)

  Specified by:
    `externalId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

### build

    public org.kie.internal.query.ParametrizedUpdate build()

  Specified by:
    `build` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.